Ruby: coroutine_context Struct Reference

Ruby 3.4.5p51 (2025-07-16 revision 20cda200d3ce092571d0b5d342dadca69636cb0f)

Data Fields
coroutine_context Struct Reference

## Data Fields
void ** | stack_pointer
void * | argument
void * | fake_stack
void * | stack_base
size_t | stack_size
rb_wasm_fiber_context | fc
struct coroutine_context * | from
void * | current_sp
size_t | size
emscripten_fiber_t | state
coroutine_start | entry_func
struct coroutine_shared * | shared
coroutine_start | start
void * | stack
pthread_t | id
pthread_cond_t | schedule
ucontext_t | state

## Detailed Description

Definition at line 35 of file Context.h.

## Field Documentation

## ◆ argument

void * coroutine_context::argument

Definition at line 38 of file Context.h.

## ◆ current_sp

void* coroutine_context::current_sp

Definition at line 31 of file Context.h.

## ◆ entry_func

coroutine_start coroutine_context::entry_func

Definition at line 27 of file Context.h.

## ◆ fake_stack

void * coroutine_context::fake_stack

Definition at line 41 of file Context.h.

## ◆ fc

rb_wasm_fiber_context coroutine_context::fc

Definition at line 27 of file Context.h.

## ◆ from

struct coroutine_context * coroutine_context::from

Definition at line 29 of file Context.h.

## ◆ id

pthread_t coroutine_context::id

Definition at line 47 of file Context.h.

## ◆ schedule

pthread_cond_t coroutine_context::schedule

Definition at line 48 of file Context.h.

## ◆ shared

struct coroutine_shared* coroutine_context::shared

Definition at line 39 of file Context.h.

## ◆ size

size_t coroutine_context::size

Definition at line 33 of file Context.h.

## ◆ stack

void* coroutine_context::stack

Definition at line 44 of file Context.h.

## ◆ stack_base

void * coroutine_context::stack_base

Definition at line 42 of file Context.h.

## ◆ stack_pointer

void ** coroutine_context::stack_pointer

Definition at line 37 of file Context.h.

## ◆ stack_size

size_t coroutine_context::stack_size

Definition at line 43 of file Context.h.

## ◆ start

coroutine_start coroutine_context::start

Definition at line 41 of file Context.h.

## ◆ state [1/2]

emscripten_fiber_t coroutine_context::state

Definition at line 26 of file Context.h.

## ◆ state [2/2]

ucontext_t coroutine_context::state

Definition at line 28 of file Context.h.

The documentation for this struct was generated from the following files:

- coroutine/amd64/Context.h
- coroutine/arm32/Context.h
- coroutine/arm64/Context.h
- coroutine/asyncify/Context.h
- coroutine/emscripten/Context.h
- coroutine/loongarch64/Context.h
- coroutine/ppc/Context.h
- coroutine/ppc64/Context.h
- coroutine/ppc64le/Context.h
- coroutine/pthread/Context.h
- coroutine/riscv64/Context.h
- coroutine/ucontext/Context.h
- coroutine/win32/Context.h
- coroutine/win64/Context.h
- coroutine/x86/Context.h